Name:           iso-codes
Version:        4.15.0
Release:        2
Summary:        lists of various ISO standards
License:        LGPLv2+
URL:            https://salsa.debian.org/iso-codes-team/iso-codes
Source0:        https://salsa.debian.org/iso-codes-team/%{name}/-/archive/v%{version}/%{name}-v%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  gettext python3
Requires:       sgml-common

%description
This project provides lists of various ISO standards (e.g. country,
language, language scripts, and currency names) in one place, rather
than repeated in many programs throughout the system.

%package        devel
Summary:        pkg-config configuration file for iso-codes
Requires:       %{name} = %{version}-%{release}
%description    devel
pkg-config configuration file for iso-codes

%prep
%autosetup -n %{name}-v%{version} -p1
mv iso_639-5/zh_Hans.po iso_639-5/zh_CN.po
mv iso_639-5/zh_Hant.po iso_639-5/zh_TW.po

%build
%configure
%make_build

%install
rm -rf %RPM_BUILD_ROOT
%make_install

%check
make check

%files
%defattr(-,root,root)
%doc CHANGELOG.md README.md
%license COPYING
%{_datadir}/%{name}
%{_datadir}/locale/*/LC_MESSAGES/iso_*.mo
%{_datadir}/xml/%{name}

%files devel
%defattr(-,root,root)
%{_datadir}/pkgconfig/iso-codes.pc


%changelog
* Sat Apr 12 2025 Funda Wang <fundawang@yeah.net> - 4.15.0-2
- rename Chinese translations of iso_639-5

* Wed Jul 26 2023 dillon chen <dillon.chen@gmail.com> - 4.15.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: update version to 4.15.0

* Thu Nov 18 2021 shangyibin <shangyibin1@huawei.com> - 4.7.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: update version to 4.7.0

* Fri Jul 30 2021 chenyanpanHW <chenyanpan@huawei.com> - 4.5.0-2
- DESC: delete -Sgit from %autosetup, and delete BuildRequires git

* Tue Jul 28 2020 xinghe <xinghe1@huawei.com> - 4.5.0-1
- Type:enhancement
- ID:NA
- SUG:NA
- DESC: update version to 4.5.0

* Tue Sep 24 2019 shenyangyang<shenyangyang4@huawei.com> - 3.79-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:revise requires

* Mon Aug 19 2019 openEuler Builteam <buildteam@openeuler.org> - 3.79-3
- Package init
